Log password reset event
curl --request POST \
--url http://sandbox.mintlify.com/events/password-reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
'import requests
url = "http://sandbox.mintlify.com/events/password-reset"
payload = {
"userId": "<string>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
requestId: '<string>',
timestamp: '2023-11-07T05:31:56Z',
expiresAt: '2023-11-07T05:31:56Z',
metadata: {}
})
};
fetch('http://sandbox.mintlify.com/events/password-reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Account Activity
Log password reset event
Initiate and log password reset events
POST
/
events
/
password-reset
Log password reset event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Password reset event details
Unique identifier for the user
Unique identifier for the password reset request
Time when the password reset was initiated
Current status of the password reset
Available options:
initiated, email_sent, completed, expired, cancelled When the reset token expires
Additional reset-specific details
⌘I
